This documentation is archived and is not being maintained.

Team Foundation Build version is not compatible

Visual Studio 2010

The information in this article applies to:

  • Visual Studio Team Foundation Server 2010

  • Team Foundation Build

  • Team Foundation Server Complete Health Check

  • Team Foundation Server Framework Health Check

  • Team Foundation Build Health Check

The Best Practices Analyzer tool for Team Foundation Server checks the version of Team Foundation Build that is configured for the deployment. An error appears if the version of Team Foundation Build is incompatible with the installed version of Team Foundation Server.

NoteNote

Build agents that were created in Team Foundation Build for Visual Studio Team System 2008 will not work in Team Foundation Build for Team Foundation Server 2010. You can automatically upgrade build definitions to Team Foundation Server 2010 if you use the upgrade build process template. For more information, see the following page on the Microsoft Web site: Compatibility between Team Foundation Clients and Team Foundation Server.

To correct this error, you must install and configure Team Foundation Build Service on the server that the error names. For more information, see the following page on the Microsoft website: How to: Install Team Foundation Build Service.

Show: